Subject: Re: [PATCH] configure: use AC_SEARCH_LIBS instead of AC_CHECK_LIB

From: Paolo Bonzini <[email-masked]>
Date: Tue, 21 Jul 2009 17:20:25 +0200

> With AC_SEARCH_LIBS, which of [action-if-found] or [action-if-not-found]
> is executed if the function is found in the standard c library i.e. "calling
> `AC_LINK_IFELSE([AC_LANG_CALL([], [function])])' first with no libraries"?
> Is the answer neither?  If the answer is [action-if-found], won't the
> NEEDS_LIBGEN=YesPlease be set when the function is found in the c library?

It evaluates the action-if-found and adds nothing to LIBS.  Instead, if 
it is found in a library, it evaluates the action-if-found after adding 
(actually prepending) -lBLAH to LIBS.

Paolo